uuid-1.3.13: For creating, comparing, parsing and printing Universally Unique Identifiers

Copyright | (c) 2012-2016 Antoine Latter
License | BSD-style
Maintainer | aslatter@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Data.UUID.V4

Description

This module implements Version 4 UUIDs as specified in RFC 4122.

These UUIDs are generated from a psuedo-random generator. We use the System.Random `StdGen` as our random source.

All of the logic is encapsulated in the `Random` instance for the UUID type, so you are also free to use the random generator of your choice.

Synopsis

- nextRandom :: IO UUID

# Documentation

nextRandom :: IO UUID #

Generate a random UUID. Introduced in version 1.2.6.